﻿using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;
using UnityEngine.XR;

public class ClickManager : MonoBehaviour
{ 
    ClawLaunch m_clawLaunch;

    void Start()
    {
        GameObject claw = GameObject.Find("Claw(Clone)");
        m_clawLaunch = claw.GetComponent<ClawLaunch>();
    }

    void Update()
    {
        if (Input.GetMouseButtonDown(0))
        {
            Vector3 mousePos = Camera.main.ScreenToWorldPoint(Input.mousePosition);
            Vector2 mousePos2D = new Vector2(mousePos.x, mousePos.y);

            RaycastHit2D hit = Physics2D.Raycast(mousePos2D, Vector2.zero);
            if (hit.collider.gameObject.name == "LaunchButton")
            {
                print("Clicked");
                m_clawLaunch.SwitchState();
            }
        }
    }
}

